{
    // Use IntelliSense to learn about possible attributes.
    // Hover to view descriptions of existing attributes.
    // For more information, visit: https://go.microsoft.com/fwlink/?linkid=830387
    "version": "0.2.0",
    "configurations": [
        {
            "preLaunchTask": "build-and-start-debug-server",
            "name": "Start and Attach",
            "type": "mono",
            "request": "attach",
            "address": "localhost",
            "port": 55555,
        },
        {
            "preLaunchTask": "Attach",
            "name": "Attach",
            "type": "mono",
            "request": "attach",
            "address": "localhost",
            "port": 55555,
        },
        {
            "preLaunchTask": "build",
            "name": "Launch",
            "type": "mono",
            "request": "launch",
            "console": "internalConsole",
            "program": "${workspaceFolder}/Aurora.gtk/bin/Debug/Aurora.gtk.exe",
            "args": [
                "--debug",
                "--debuggre-agent=transport=dt_socket,server=y,address=127.0.0.1:5555"
            ]
        }
    ]
}